Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 334223

Summary: nvidia-drivers fails to emerge with kernel 2.6.36 or later
Product: Gentoo Linux Reporter: Hal Engel <hvengel>
Component: Current packagesAssignee: Doug Goldstein <cardoe>
Status: RESOLVED WONTFIX    
Severity: normal CC: chrulri, devurandom, flaschenkopp, giovanni.bobbio, jer, limanski, markus, ro-wa, rzubaly, safttuete, spock, xmw
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: nvidia-drivers-ebuild.patch
NVIDIA-256.44-2.6.36.patch
build.log (x11-drivers/nvidia-drivers-256.53, sys-kernel/gentoo-sources-2.6.36)
nvidia-driver build.log
same patch but for nvidia-drivers-195.36.31

Description Hal Engel 2010-08-24 07:28:58 UTC
When emerging nvidia-drivers against kernel git-sources-2.6.36_rc2-r1 it fails with the following:

/var/tmp/portage/x11-drivers/nvidia-drivers-256.44/work/kernel/nv.c:426: error: unknown field 'ioctl' specified in initializer

This is a known issue with an apparently fairly simple fix that requires a patch to the driver.  See http://www.nvnews.net/vbulletin/showthread.php?t=154378 for details.

  

Reproducible: Always

Steps to Reproduce:
1. Install kernel 2.6.36
2. run emerge nvidia-drivers

Actual Results:  
emerge fails

Expected Results:  
emerge is successful.
Comment 1 Michael Weber (RETIRED) gentoo-dev 2010-08-24 22:08:11 UTC
Hi, 

which version of x11-drivers/nvidia-drivers dp you use?
Please comment `emerge --info` and `emerge -pv x11-drivers/nvidia-drivers` and attach the build.log file.

But basically this is another round of the not-yet-released kernel vs. closed source driver. Don't expect this be fixed before a first 2.6.36 release.

Michael
Comment 2 Hal Engel 2010-08-25 14:44:12 UTC
I tried both 195.36.24 and 256.44.  I created a patch based on the patch in the link to the nvnews forum and now have an ebuild in my local overlay that is working.

# emerge --info

Portage 2.2_rc67 (default/linux/amd64/10.0/desktop/kde, gcc-4.4.3, glibc-2.11.2-r0, 2.6.36-rc2-git1 x86_64)
=================================================================
System uname: Linux-2.6.36-rc2-git1-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4800+-with-gentoo-1.12.13
Timestamp of tree: Tue, 24 Aug 2010 03:20:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.3.5, 2.2.6b
sys-devel/make:      3.81
virtual/os-headers:  2.6.34
ACCEPT_KEYWORDS="amd64"                                                                                                                            
ACCEPT_LICENSE="*"                                                                                                                                 
CBUILD="x86_64-pc-linux-gnu"                                                                                                                       
CFLAGS="-O2 -pipe"                                                                                                                                 
CHOST="x86_64-pc-linux-gnu"                                                                                                                        
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"                                                                         
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.mirrors.hoobly.com/ http://gentoo.wetzlmayr.com/ http://gentoo.osuosl.org/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/qting-edge /var/lib/layman/java-overlay /var/lib/layman/kde /var/lib/layman/pro-audio /var/lib/layman/gamerlay /usr/portage/local"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam ffmpeg fftw firefox flac fontconfig fortran gdbm gif gpm gtk hal iconv ipv6 jpeg kde lcms ldap libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg openexr opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt qt3support qt4 readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis webkit x264 xcb xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 labor_ratte 2010-08-27 13:51:01 UTC
Created attachment 244937 [details, diff]
nvidia-drivers-ebuild.patch
Comment 4 labor_ratte 2010-08-27 13:51:47 UTC
Created attachment 244941 [details, diff]
NVIDIA-256.44-2.6.36.patch
Comment 5 labor_ratte 2010-08-27 13:59:55 UTC
with above patches nvidia-drivers compiles and works under 2.6.36 
Comment 6 Claudio Izzi 2010-08-28 18:49:48 UTC
(In reply to comment #5)
> with above patches nvidia-drivers compiles and works under 2.6.36 
> 

After applying the patch successfully and running "emerge nvidia-drivers" it complains about filesize mismatches and bad checksums, can I disable these checks so it can compile? and how would I do that? I tried emerge --keep-going without success
Comment 7 Francisco Lloret 2010-08-31 19:57:07 UTC
Sorry, i'm using nvidia graphics card and nvidia-driver don't compile with  git-sources-2.6.36_rc3. waiting for solve it.
Comment 8 Doug Goldstein gentoo-dev 2010-10-11 23:34:01 UTC
We never have and never will support release candidate kernels.
Comment 9 giovanni.bobbio 2010-10-21 08:52:29 UTC
(In reply to comment #8)
> We never have and never will support release candidate kernels.

It seems this bug is now in production with 2.6.36.

Comment 10 Dennis Schridde 2010-10-21 14:16:22 UTC
Created attachment 251449 [details]
build.log (x11-drivers/nvidia-drivers-256.53, sys-kernel/gentoo-sources-2.6.36)

(In reply to comment #9)
> (In reply to comment #8)
> > We never have and never will support release candidate kernels.
> It seems this bug is now in production with 2.6.36.
Confirming for x11-drivers/nvidia-drivers-256.53 and sys-kernel/gentoo-sources-2.6.36.
Comment 11 chrulri 2010-10-21 15:29:23 UTC
Working with x11-drivers/nvidia-drivers-260.19.12
Comment 12 saft 2010-11-04 08:48:03 UTC
Bug still exists on gentoo-sources-2.26.36 final.

It keeps saying that .config is bad.

kernel compiles fine.
Comment 13 saft 2010-11-04 08:49:00 UTC
emerge --info
Portage 2.1.9.24 (default/linux/x86/10.0/desktop/kde, gcc-4.4.5, glibc-2.12.1-r3, 2.6.35-gentoo-r10 i686)
=================================================================
System uname: Linux-2.6.35-gentoo-r10-i686-Intel-R-_Core-TM-2_Duo_CPU_T7250_@_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 03 Nov 2010 20:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r1
dev-lang/python:     2.6.6-r1, 3.1.2-r4
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.3
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.82
virtual/os-headers:  2.6.35 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 skype-eula googleearth AdobeFlash-10.1 AdobeFlash-10"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=prescott -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
FEATURES="assume-digests binpkg-logs ccache distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://de-mirror.org/distro/gentoo/ ftp://ftp6.uni-muenster.de/pub/linux/distributions/gentoo"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/science /var/lib/layman/kde /var/lib/layman/gamerlay /var/lib/layman/games /var/lib/layman/multimedia"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aacs acct acl acpi addressbook ads alsa applet archive audiofile autoipd automount avahi bash-completion bdf big-tables blas bluetooth bookmarks branding bzip2 cairo calendar caps cdda cddax cddb cdio cdparanoia cdr celt chm cjk cleartype cli consolekit contrast cracklib crypt css cups cxx dbus dell designer-plugin desktopglobe device-mapper dhcpcd dirac divx djvu double-precision dri dtmf dts dv dvd dvdr dvi ebook embedded emboss emovix enca encode exif expoblending extensions fam fat fax ffmpeg firefox firefox3 fits flac flash fontconfig fortran fping ftp fuse gcj gd gdbm gdu gedit geoip geolocation gif gimp glitz gnutls gpg gphoto2 gpm gpu graphviz grub gs gsm gstreamer gtk gzip hal handbook hbci hddtemp hdri hfs hpcups hyperestraier iconv icq id3 id3tag idn ieee1394 ilbc imagemagick inkjar inotify iphone ipod irc jabber java6 jbig jingle jpeg jpeg2k kate kde kerberos kipi kontact lame laptop lcms ldap lensfun libass libcaca libgda libnotify libssh2 libv4l2 lightning lm_sensors logrotate lzma lzo mad matroska mdnsresponder-compat mikmod mjpeg mmx mng modules mozilla mp3 mp4 mpd mpeg mplayer msn mtp mudflap musepack musicbrainz ncurses networkmanager new-hpcups nfs nfsv4 nls nptl nptlonly nsplugin ntfs nvidia ofx ogg ogm openbabel openexr opengl openmp openssl oscar otr pam pango pcmcia pcre pdf perl phonon plasma plotutils pmu png policykit ppds ppp pppd ps python qalculate qt3support qt4 quicktime rar raw rdesktop rdesktop-vrdp rdp readline redeyes rememberthemilk rtsp samba scanner schroedinger sdk sdl semantic-desktop session sftp skype smbclient smp sms sndfile snmp spell sse sse2 sse3 ssh ssl ssse3 startup-notification subtitles svg sysfs syslog t1lib taglib tcpd tellico templates terminal theora threads thumbnail thumbnails tiff tk truetype twolame udev udev-acl umfpack unicode usb v4l v4l2 vcd vcdinfo vcdx vdpau video virtuoso vlm vnc vorbis vpx wav wavpack webkit wifi win32codecs winbind windeco winetriks wma-fixed wmf wps x264 x86 xattr xcb xft xine xinerama xml xmp xorg xulrunner xv xvid xvmc yaz zeroconf zip zlib" ALSA_CARDS="hda_intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 14 saft 2010-11-04 08:49:49 UTC
Created attachment 253155 [details]
nvidia-driver build.log
Comment 15 saft 2010-11-04 08:52:13 UTC
(In reply to comment #12)
> Bug still exists on gentoo-sources-2.26.36 final.
> 
> It keeps saying that .config is bad.
> 
> kernel compiles fine.
> 

sorry forgot...

x11-drivers/nvidia-drivers-256.53
Comment 16 Markus Peloquin 2010-12-08 08:21:44 UTC
Created attachment 256623 [details, diff]
same patch but for nvidia-drivers-195.36.31

I just applied the patch for nvidia-drivers-195.36.31, though nv.c is in a different directory.  I also checked that this should apply cleanly on -195.36.24 and -190.53.
Comment 17 Markus Peloquin 2010-12-08 08:26:05 UTC
Also I just tested it and it works fine.  Er, as fine as it ever has.  It's still a piece of garbage.  Now I'm off to use 'nv', which means I get to reboot.
Comment 18 Mike Limansky 2010-12-14 22:17:55 UTC
Why this bug is closed as WONTFIX? Now the 2.6.36 is stable (at least on x86) and the current stable nvidia-drivers cannot be used.
Comment 19 Jeroen Roovers gentoo-dev 2010-12-14 22:47:07 UTC
(In reply to comment #8)
> We never have and never will support release candidate kernels.

(In reply to comment #18)
> Why this bug is closed as WONTFIX? Now the 2.6.36 is stable (at least on x86)
> and the current stable nvidia-drivers cannot be used.
Comment 20 Alexander Tsoy 2010-12-14 23:36:27 UTC
https://bugs.gentoo.org/show_bug.cgi?id=341975